Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-46148

Maven Plugin uses obsolete methods

    Details

    • Similar Issues:

      Description

      Maven plugin uses Maven Core 3.1.0 while its dependencies bundle Maven Core 3.5.0 (Maven 3.5 interceptor and CLI)

      During the upgrade to Parent POM 2.32 I noticed that ReactorManager#getTopLevelProject() APIs have been deleted in 3.2.1: https://abi-laboratory.pro/java/tracker/compat_report/maven/3.1.1/3.2.1/2fc05/src_compat_report.html

      It causes compilation failure with Maven Core 3.5.0, because MavenBuild#preBuild() and MavenBuild#postBuild() actually use this method.

      There are two ways to fix it:

      • Keep Maven Core on 3.1.0 and ignore upper bounds for this case
      • Update API usage (my plan for now)

        Attachments

          Activity

            People

            • Assignee:
              oleg_nenashev Oleg Nenashev
              Reporter:
              oleg_nenashev Oleg Nenashev
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: